com.r3corda.protocols / TwoPartyDealProtocol / DealMismatchException

# DealMismatchException

`class DealMismatchException : Exception`

### Constructors

<init> | `DealMismatchException(expectedDeal: ContractState, actualDeal: ContractState)`

### Properties

actualDeal | `val actualDeal: ContractState`
expectedDeal | `val expectedDeal: ContractState`

### Functions

toString | `fun toString(): String`